version: "3"

services:
  ddclient:
    image: lscr.io/linuxserver/ddclient:latest
    container_name: ddclient
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Etc/UTC
    volumes:
      - /etc/ddclient:/config
    restart: unless-stopped
    labels:
        - "traefik.enable=true"

networks:
  traefik:
    external: true